Name:           mate-media
Version:        1.26.2
Release:    1%{?dist}
Summary:        MATE media programs
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.26/%{name}-%{version}.tar.xz

Patch1:        mate-media_0001-Add-setting-for-adjustment-of-audio-volume-above-100.patch
Patch2:        mate-media_0001-gvc-stream-status-icon-fix-a-volume-rounding-error-1.patch

BuildRequires: desktop-file-utils
BuildRequires: gtk3-devel
BuildRequires: libmatemixer-devel
BuildRequires: libxml2-devel
BuildRequires: libcanberra-devel
BuildRequires: make
BuildRequires: mate-desktop-devel
BuildRequires: mate-common
BuildRequires: mate-panel-devel

%description
This package contains a few media utilities for the MATE desktop,
including a volume control.


%prep
%autosetup -p1

%build
%configure \
        --disable-static \
        --disable-schemas-compile \
        --enable-statusicon=yes

make %{?_smp_mflags} V=1

%install
%{make_install}

find %{buildroot} -name '*.la' -exec rm -rf {} ';'

desktop-file-install                                                    \
        --delete-original                                               \
        --dir=%{buildroot}%{_datadir}/applications                      \
%{buildroot}%{_datadir}/applications/mate-volume-control.desktop

rm -rf %{buildroot}%{_sysconfdir}/xdg/autostart/mate-volume-control-status-icon.desktop

%find_lang %{name} --with-gnome --all-name


%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_mandir}/man1/*
%{_bindir}/mate-volume-control
%{_bindir}/mate-volume-control-status-icon
%{_datadir}/mate-media/
%{_datadir}/sounds/mate/
%{_datadir}/applications/mate-volume-control.desktop
%{_libexecdir}/mate-volume-control-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.GvcAppletFactory.service
%{_datadir}/mate-panel/applets/org.mate.applets.GvcApplet.mate-panel-applet


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.2-1
- initial build
